<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>個人網站</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-wEmeIV1mKuiNpC+IOBjI7aAzPcEZeedi5yW5f2yOq55WWLwNGmvvx4Um1vskeMj0" crossorigin="anonymous">
  <link href="css/body.css" rel="stylesheet">

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-p34f1UUtsS3wqzfto5wAAmdvj+osOnFyQFpp4Ua3gs/ZVWx6oOypYoCJhGGScy+8"
    crossorigin="anonymous"></script>
  <script src="https://code.jquery.com/jquery-3.6.1.js" integrity="sha256-3zlB5s2uwoUzrXK3BT7AX3FyvojsraNFxCc2vC/7pNI="
    crossorigin="anonymous"></script>
  <script src="js/page3.js"></script>

  <script src="js/Chartjs/Chart.bundle.js"></script>
  <script src="js/Chartjs/utils.js"></script>

  <style>
    body{
        height: 600px;
        background-color: rgba(0, 0, 0, 0.3);
        background-blend-mode: multiply;
        background-size: cover;
        background-position: center center;
        background-image:url(images/流星.png);
    }

    #inputState{
        margin: 0px auto;
        width:30%;
    }

    #connect {
            margin: 0px auto;
            background-color: rgba(255, 255, 255, 0.9);
    }

    h4 {
      color: #ffffff;
      margin: 0px auto;
    }


  </style>

</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">個人網站</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="#">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="index.html">今天天氣</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown"
              aria-expanded="false">
              各地區時間段天氣
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
              <li><a class="dropdown-item" href="page2.html">溫度圖</a></li>
              <li><a class="dropdown-item" href="page3.html">降雨機率圖</a></li>
              <li>
                <hr class="dropdown-divider">
              </li>
              <li><a class="dropdown-item" href="#">Something else here</a></li>
            </ul>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
          </li>
        </ul>
        <form class="d-flex">
          <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
          <button class="btn btn-outline-success" type="submit">Search</button>
        </form>
      </div>
    </div>
  </nav>

  <br><br>

  <div id="inputState">
    <select id="location" class="form-select">
        <option selected>選擇地區...</option>
        <option value="嘉義縣">嘉義縣</option>
        <option value="新北市">新北市</option>
        <option value="嘉義市">嘉義市</option>
        <option value="新竹縣">新竹縣</option>
        <option value="新竹市">新竹市</option>
        <option value="臺北市">臺北市</option>
        <option value="臺南市">臺南市</option>
        <option value="宜蘭縣">宜蘭縣</option>
        <option value="苗栗縣">苗栗縣</option>
        <option value="雲林縣">雲林縣</option>
        <option value="花蓮縣">花蓮縣</option>
        <option value="臺中市">臺中市</option>
        <option value="臺東縣">臺東縣</option>
        <option value="桃園市">桃園市</option>
        <option value="南投縣">南投縣</option>
        <option value="高雄市">高雄市</option>
        <option value="金門縣">金門縣</option>
        <option value="屏東縣">屏東縣</option>
        <option value="基隆市">基隆市</option>
        <option value="澎湖縣">澎湖縣</option>
        <option value="彰化縣">彰化縣</option>
        <option value="連江縣">連江縣</option>
      </select>
  </div>

  <br><br>
  <div id="title" style="text-align:center">
   <h4>降雨機率圖</h4>
  </div>

  <div id="connect" style="width:75%;" >
    <canvas id="canvas"></canvas>
  </div>
  

</body>

</html>